%!TEX TS-program = xelatex
%!TEX encoding = UTF-8 Unicode


%============ Logs ===========================
\newcommand{\version}{ver 2.1}
%=============================================

\documentclass{mahidol_thesis}
%====== Add the packages here ===============
\usepackage{multirow}
\usepackage[table,xcdraw]{xcolor}
\usepackage{subcaption}
\usepackage{lscape}
\usepackage{amsmath}
 %====== List of Coding Color Style ==============
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
%\definecolor{backcolour}{rgb}{0.95,0.95,0.92}
\definecolor{backcolour}{rgb}{1,1,1}

 
%============================================

%====== Path to Figure Directories ===============
\graphicspath{{./figures/chap1/}{./figures/chap2/}{./figures/chap3/}{./figures/chap4/}{./figures/chap5/}{./figures/chap6/}{./figures/appendix/}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Thesis Meta Data (edit each field)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Thesis Title 
\newcommand{\thesisTitle}{Thesis Title}
\newcommand{\thesisTitleTH}{ชื่อวิทยานิพนธ์}

%Thesis Keywords
\newcommand{\thesisKeywordsTH}{ลาเท็ก / วิทยานิพนธ์}
\newcommand{\thesisKeywords}{LaTeX / Thesis}

\newcommand{\totalPageTH}{๓๗}   %Total pages (See. the total number in English Acknowledgement Page then fill up here!)

%First Author name
\newcommand{\thesisFirstTitleName}{Mr.}
\newcommand{\thesisFirstAuthorName}{Karin}
\newcommand{\thesisFirstAuthorLastName}{Sumongkayothin}
\newcommand{\thesisFirstTitleNameTH}{นาย}
\newcommand{\thesisFirstAuthorNameTH}{กรินทร์}
\newcommand{\thesisFirstAuthorLastNameTH}{สุมังคะโยธิน}
\newcommand{\thesisFirstAuthorID}{1234567}
\newcommand{\thesisFirstAuthorBD}{15 กุมภาพันธ์ 2539}
\newcommand{\thesisFirstAuthorBP}{จังหวัด กรุงเทพมหานคร}
\newcommand{\thesisFirstAuthorHC}{มัธยมศึกษาตอนปลาย แผนกวิทย์-คณิต โรงเรียนหมีน้อยคอนแวน ชลบุรี กรุงเทพ เชียงใหม่ สงขลา ยะลา มะละกอ}
\newcommand{\thesisFirstAuthorTel}{086 405 9801}
\newcommand{\thesisFirstAuthorEmail}{test@gmail.com}

%Second Author name
\newcommand{\thesisSecondTitleName}{Mr.}		%Comment all if you don't have second author
\newcommand{\thesisSecondAuthorName}{Karinasldkfjalksjdflakjf}
\newcommand{\thesisSecondAuthorLastName}{Sumongkayothin}
\newcommand{\thesisSecondTitleNameTH}{นาย}
\newcommand{\thesisSecondAuthorNameTH}{กรินทร์}
\newcommand{\thesisSecondAuthorLastNameTH}{สุมังคะโยธิน}
\newcommand{\thesisSecondAuthorID}{1234567}
\newcommand{\thesisSecondAuthorBD}{15 กุมภาพันธ์ 2539}
\newcommand{\thesisSecondAuthorBP}{จังหวัด กรุงเทพมหานคร}
\newcommand{\thesisSecondAuthorHC}{มัธยมศึกษาตอนปลาย แผนกวิทย์-คณิต โรงเรียนหมีน้อยคอนแวน}
\newcommand{\thesisSecondAuthorTel}{086 405 9801}
\newcommand{\thesisSecondAuthorEmail}{test@gmail.com}

%Third Author name
\newcommand{\thesisThirdTitleName}{Mr.}			%Comment all if you don't have third author
\newcommand{\thesisThirdAuthorName}{Karin}
\newcommand{\thesisThirdAuthorLastName}{Sumongkayothin}
\newcommand{\thesisThirdTitleNameTH}{นาย}
\newcommand{\thesisThirdAuthorNameTH}{กรินทร์}
\newcommand{\thesisThirdAuthorLastNameTH}{สุมังคะโยธิน}
\newcommand{\thesisThirdAuthorID}{1234569}
\newcommand{\thesisThirdAuthorBD}{15 กุมภาพันธ์ 2539}
\newcommand{\thesisThirdAuthorBP}{จังหวัด กรุงเทพมหานคร}
\newcommand{\thesisThirdAuthorHC}{มัธยมศึกษาตอนปลาย แผนกวิทย์-คณิต โรงเรียนหมีน้อยคอนแวน}
\newcommand{\thesisThirdAuthorTel}{086 405 9801}
\newcommand{\thesisThirdAuthorEmail}{test@gmail.com}

%Fourth Author name
%\newcommand{\thesisFourthTitleName}{Mr.}			%Comment all if you don't have fourth author
%\newcommand{\thesisFourthAuthorName}{Karin} \n
%\newcommand{\thesisFourthAuthorLastName}{Sumongkayothin}
%\newcommand{\thesisFourthTitleNameTH}{นาย}
%\newcommand{\thesisFourthAuthorNameTH}{กรินทร์}
%\newcommand{\thesisFourthAuthorLastNameTH}{สุมังคะโยธิน}
%\newcommand{\thesisFourthAuthorID}{1234569}
%\newcommand{\thesisFourthdAuthorBD}{15 กุมภาพันธ์ 2539}
%\newcommand{\thesisFourthAuthorBP}{จังหวัด กรุงเทพมหานคร}
%\newcommand{\thesisFourthAuthorHC}{มัธยมศึกษาตอนปลาย แผนกวิทย์-คณิต โรงเรียนหมีน้อยคอนแวน}
%\newcommand{\thesisFourthAuthorTel}{086 405 9801}
%\newcommand{\thesisFourthAuthorEmail}{test@gmail.com}

%Month, year and date of thesis publication
\newcommand{\thesisGradDateTH}{๑๑ เมษายน ๒๕๖๔}  %Graduate Date/Month/Year
\newcommand{\thesisGradDate}{11 April 2021} %Graduated Year
\newcommand{\thesisAcademicYear}{2021} %Academic Year
\newcommand{\thesisAcademicYearTH}{๒๕๖๔} %Academic Year

%Department
\newcommand{\thesisDepENG}{Computer Engineering}
\newcommand{\thesisDepTH}{วิศวกรรมคอมพิวเตอร์}

%Advisor name
\newcommand{\thesisAdv}{Dr. Karin Sumongkayothin}		%with title name
\newcommand{\thesisAdvTH}{ดร. กรินทร์ สุมังคะโยธิน}		%with title name
\newcommand{\advDegree}{Ph.D. (Information Science),\\ Ph.D. (Computer Engineering)}

%Thesis Committees
\newcommand{\ChairTH}{\thesisAdvTH}
\newcommand{\ChairDegree}{\advDegree}
\newcommand{\committeeITH}{กรรมการ 1}
\newcommand{\committeeIDegree}{Ph.D. (Electrical Engineering)}
\newcommand{\committeeIITH}{กรรมการ 2}
\newcommand{\committeeIIDegree}{Ph.D. (Electrical Engineering)}
\newcommand{\committeeIIITH}{กรรมการ 3}
\newcommand{\committeeIIIDegree}{Ph.D. (Electrical Engineering)}

\begin{document}
%---- Cover Page Section ------
\coverpageTH
\coverpageENG
\entitlepageOne
\entitlepageTwo
%---- Front Page Section ------
\pagestyle{front}
\frontmatter
\biography
\acknowledgement{acknowledgement.tex}
\abstractTH{abstractTH.tex}
\abstractENG{abstractENG.tex}
\tableofcontents
\newpage
\listoftables
\newpage
\listoffigures
%---- Body -----
\pagestyle{chapter}
\mainmatter
\pagestyle{fancy}
\input{chapter1.tex}
\input{chapter2.tex}
\input{chapter3.tex}
\input{chapter4.tex}
%\input{chapter5.tex}
\newpage
%---- Bibliography -----
\pagestyle{bibliography}
\bibliography{references} 
\bibliographystyle{IEEEtran}
\newpage
%---- Appendix ----
\pagestyle{appendix}
\appendix
\input{AppendixA.tex}

\end{document}